$primary-color: #0e3fb0;
$secondary-color: #f66880;

// breakpoints
$breakpoint-desktop: 1200px;
$breakpoint-laptop: 992px;
$breakpoint-tablet: 768px;
$breakpoint-mobile: 600px;
$breakpoint-mobile-small: 240px;

@mixin grids {
  &-1 {
    width: calc(100% / 12);
  }
  &-2 {
    width: calc(100% / 6);
  }
  &-3 {
    width: 25%;
  }
  &-4 {
    width: calc(100% / 3);
  }
  &-5 {
    width: calc(100% * (5 / 12));
  }
  &-6 {
    width: 50%;
  }
  &-7 {
    width: calc(100% * (7 / 12));
  }
  &-8 {
    width: calc(100% * (2 / 3));
  }
  &-9 {
    width: 75%;
  }
  &-10 {
    width: calc(100% * (10 / 12));
  }
  &-11 {
    width: calc(100% * (11 / 12));
  }
  &-12 {
    width: 100%;
  }
}

// split extra small screens into 4 columns instead of 12
@mixin grids-xsmall {
  &-1,
  &-2,
  &-3 {
    width: calc(25%);
  }
  &-4,
  &-5,
  &-6 {
    width: calc(50%);
  }
  &-7,
  &-8,
  &-9 {
    width: calc(75%);
  }
  &-10,
  &-11,
  &-12 {
    width: calc(105%);
  }
}

@mixin media-small-mobile-and-up {
  @media only screen and (max-width: $breakpoint-mobile-small) {
    @content;
  }
}

@mixin media-mobile-and-up {
  @media only screen and (min-width: $breakpoint-mobile) {
    @content;
  }
}

@mixin media-tablet-and-up {
  @media only screen and (min-width: $breakpoint-tablet) {
    @content;
  }
}

.row {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  background-color: inherit;

  &.vcenter {
    align-items: center;
  }

  &.hcenter {
    justify-content: center;
  }

  &.hvcenter {
    align-items: center;
    justify-content: center;
  }

  .center {
    margin: 0 auto;
  }

  @media only screen and (max-width: $breakpoint-mobile-small) {
    .sm {
      @include grids-xsmall;
    }
  }
  @media only screen and (min-width: $breakpoint-mobile-small) {
    .sm {
      @include grids;
    }
  }
  @media only screen and (min-width: $breakpoint-mobile) {
    .md {
      @include grids;
    }
  }
  @media only screen and (min-width: $breakpoint-tablet) {
    .lg {
      @include grids;
    }
  }
}

* {
  box-sizing: border-box;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;

  li {
    margin: 0;
  }
}


.nav-wrapper,
header,
main,
footer .prefooter,
footer .footer {
  padding: 2rem 1rem;

  @media only screen and (min-width: 600px) {
    padding: 2rem 10%;
  }
}

.nav-wrapper {
  position: sticky;
  top: -2rem;
  z-index: 999;

  nav {
    border-radius: 10px;
    background-color: $primary-color;
    display: flex;
    color: white;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 1.25rem;

    .logo img {
      width: 120px;
    }

    .links {
      li {
        margin: 0 0.5rem;
        color: white;
        display: inline-block;

        a {
          text-decoration: none;
          color: white;
        }
      }
    }

    button {
      color: white;
      border: none;
      border-radius: 100px;
      padding: 0.75rem 1rem;
      background-color: $secondary-color;
      cursor: pointer;
      transition: background-color 0.25s ease;

      &:hover {
        background-color: lighten($secondary-color, 5);
      }
    }
  }
}

header {
  width: 100%;

  .backdrop {
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    div {
      &:first-child,
      &:last-child {
        position: absolute;
      }

      &:first-child {
        width: 80%;
        height: 75%;
        border-bottom-right-radius: 50%;
        background-color: transparentize($primary-color, 0.9);
      }

      &:last-child {
        top: -10px;
        right: 0px;
        // transform: translate(60%, -10%);

        width: 100px;
        height: 200px;
        border-top-left-radius: 100px;
        border-bottom-left-radius: 100px;
        background-color: $secondary-color;
      }
    }
  }

  .hero {
    .text {
      text-align: center;
      margin-bottom: 1rem;
    }

    @include media-tablet-and-up {
      .text {
        text-align: left;
        margin-bottom: 0;
        padding-right: 10rem;
      }
    }

    .graphic img {
      width: 100%;
      object-fit: cover;
    }
  }
}

main {
  .uses {
    .cards {
      margin-top: 1rem;
      row-gap: 1ch;
    }

    .col {
      padding: .75rem;
      
      .card {
        height: 100%;
        border-radius: 20px;
        padding: 1.75rem 1rem;
        box-shadow: 1px 8px 40px #00000016;
      }
    }
    
    @include media-tablet-and-up {
      .cards {
        row-gap: 5ch;
      }
      
      .col {
        padding: 1rem;
        
        .card {
          border-radius: 30px;
        }
      }
    }
  }

  .infographic {
    padding: 2rem 0;

    .container {
      margin: 3rem 0;

      .graphic {
        text-align: center;

        img {
          width: 100%;
          max-width: 300px;
          object-fit: cover;
        }
      }

      .text {
        margin-top: 1rem;

        @include media-tablet-and-up {
          padding-left: 2rem;
        }
      }

      &:nth-child(even) {
        flex-direction: row-reverse;
      }
    }
  }
}

h3 {
  font-weight: 400;
  font-size: 1.5rem;
  margin-bottom: 1rem;
}

footer {
  background-color: $primary-color;
  color: white;

  .prefooter {
    row-gap: 5ch;

    .socials {
      display: flex;
      column-gap: 1ch;

      div {
        width: 30px;
        height: 30px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: white;

        img {
          transform: scale(0.9);
        }
      }
    }

    p {
      margin: 0 0 0.75rem;
    }

    .newsletter {
      display: block;
      // text-align: center;

      input,
      button {
        padding: 0.75rem 1rem;
        border-radius: 100px;
        border: none;
      }

      input {
        width: 100%;
      }

      button {
        margin: 0.5rem 0;
        background-color: white;
      }

      @include media-tablet-and-up {
        display: flex;

        input {
          flex: 1;
          margin-right: 0.75rem;
        }

        button {
          margin: 0;
        }
      }
    }
  }

  .footer {
    border-top: 1px solid #ffffff90;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;

    display: flex;
    justify-content: space-between;
  }
}

.text {
  &--center {
    text-align: center;
  }
  &--primary {
    color: $primary-color;
  }
}
